Skip to main content
GET
/
api
/
external
/
buyer
/
quick
/
search
Search Buyers
curl --request GET \
  --url https://dashboard.starbridge.ai/api/external/buyer/quick/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://dashboard.starbridge.ai/api/external/buyer/quick/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dashboard.starbridge.ai/api/external/buyer/quick/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "buyers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "countryCode": "<string>",
      "fromSourceFile": true,
      "stateCode": "<string>",
      "url": "<string>",
      "tags": [
        "<string>"
      ],
      "linkedinSlug": "<string>",
      "logoPath": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication

Query Parameters

buyerName
string
required

Buyer name to search Buyer entity by.

buyerStateCode
string

StateMapping enum value for the buyer's ISO 3166-2 state code. Optional.

limit
string

Maximum number of buyers to return. Defaults to 10.

Response

Matching buyers ordered by relevance.

buyers
BuyerBrief · object[]
required

Matching buyers (institutions) ordered by search relevance. Pick the single buyer that best fits the user's intent.